type: collection.insomnia.rest/5.0
name: Carbone API
meta:
  id: wrk_e438d31a84754201a20021611d6aa720
  created: 1759786645715
  modified: 1759786645715
  description: ""
collection:
  - url: "{{ BASE_URL  }}/status"
    name: Status
    meta:
      id: req_e0501839230b49e4b49b99394b725011
      created: 1660898768217
      modified: 1758792734233
      isPrivate: false
      description: ""
      sortKey: -1589984865633
    method: GET
    body:
      mimeType: application/json
      text: ""
    headers:
      - name: Content-Type
        value: application/json
      - name: carbone-version
        value: "5"
      - name: Authorization
        value: "{{ _.API_KEY }}"
    settings:
      renderRequestBody: true
      encodeUrl: true
      followRedirects: global
      cookies:
        send: true
        store: true
      rebuildPath: true
  - name: Manage Templates
    meta:
      id: fld_7c3630bd1dde460fb6d3e86d19fd9ebe
      created: 1744805029916
      modified: 1759785956773
      sortKey: -1744805029916
      description: ""
    children:
      - url: "{{ BASE_URL  }}/template"
        name: Add template
        meta:
          id: req_4a2fda085ba94333a82414a04a8b98c7
          created: 1660898768215
          modified: 1759786884556
          isPrivate: false
          description: ""
          sortKey: -1744805037065
        method: POST
        body:
          mimeType: multipart/form-data
          params:
            - name: id
              value: ""
              description: ""
              disabled: true
              id: pair_05e723a3d4e94ac3a6cfe31fe939749d
            - name: versioning
              value: "true"
              description: ""
              disabled: false
              id: pair_c158bf43794a40de80988774522dbfc4
            - name: template
              value: ""
              description: ""
              disabled: false
              id: pair_683c2d9faa674b46ad30efa5d83a31cd
              fileName: /Users/steevepay/Downloads/template.html
              type: file
            - name: name
              value: ""
              description: ""
              disabled: true
              id: pair_225715532293416a94f213b5e8bf8980
            - name: comment
              value: ""
              description: ""
              disabled: true
              id: pair_a9fe125579424adea341c54a94b366fc
            - name: category
              value: ""
              description: ""
              disabled: true
              id: pair_167df94c52ef42b9a747660b770bdf16
            - name: tags
              value: ""
              description: ""
              disabled: true
              id: pair_8258d132f2084081a4b619a746481afe
            - name: samples
              value: ""
              description: ""
              disabled: true
              id: pair_4af6f099546648128beda1d3d86e6b04
            - name: expireAt
              value: ""
              description: ""
              disabled: true
              id: pair_c26bd7848550462fbd0386d3f438aab9
            - name: deployedAt
              value: ""
              description: ""
              disabled: true
              id: pair_0a0c2d48cd884888b5b2cc3f359d65c8
        headers:
          - name: Content-Type
            value: multipart/form-data
            id: pair_7ace2de19f27430f9e2f4cf79e131dfa
          - name: carbone-version
            value: "{{ _.VERSION }}"
            id: pair_14963989a90a44d09138d945d1832828
          - name: Authorization
            value: "{{ _.API_KEY }}"
            id: pair_14cee944a5de40758a4e1aaa42461da8
        settings:
          renderRequestBody: true
          encodeUrl: true
          followRedirects: global
          cookies:
            send: true
            store: true
          rebuildPath: true
      - url: "{{ BASE_URL }}/template/:TemplateId-or-VersionId"
        name: Get Template
        meta:
          id: req_5f7c2a875489451f99def63f60de280b
          created: 1660898768218
          modified: 1759786589918
          isPrivate: false
          description: ""
          sortKey: -1744805036890
        method: GET
        headers:
          - name: Authorization
            value: "{{ _.API_KEY }}"
          - name: carbone-version
            value: "{{ _.VERSION }}"
        settings:
          renderRequestBody: true
          encodeUrl: true
          followRedirects: global
          cookies:
            send: true
            store: true
          rebuildPath: true
        pathParameters:
          - name: TemplateId-or-VersionId
            value: ""
      - url: "{{ BASE_URL  }}/template/:TemplateId-or-VersionId"
        name: Delete template
        meta:
          id: req_57f54cc04ea54d919e2127f6286a4bf7
          created: 1660898768219
          modified: 1759786602471
          isPrivate: false
          description: ""
          sortKey: -1744805036815
        method: DELETE
        headers:
          - name: carbone-version
            value: "{{ _.VERSION }}"
          - name: Authorization
            value: "{{ _.API_KEY }}"
        settings:
          renderRequestBody: true
          encodeUrl: true
          followRedirects: global
          cookies:
            send: true
            store: true
          rebuildPath: true
        pathParameters:
          - name: TemplateId-or-VersionId
            value: ""
      - url: "{{BASE_URL}}/templates"
        name: List Templates
        meta:
          id: req_4f57f6e3a1144518b15a9c5fa66774ab
          created: 1690384193902
          modified: 1759786253523
          isPrivate: false
          description: ""
          sortKey: -1744805036790
        method: GET
        parameters:
          - name: id
            value: ""
            disabled: true
            id: pair_627926486dc5491c837f135ff2a6d5de
          - name: versionId
            value: ""
            disabled: true
            id: pair_dda81a771dd54c0f864606108eec5df2
          - name: category
            value: ""
            disabled: true
            id: pair_9fd8f157525c49a396a4eaf3d85a4ecc
          - name: includeVersions
            value: "true"
            disabled: true
            id: pair_fb6052b43e7f411b901b97f63da187c5
          - name: search
            value: 5209108aec6a6011ca5fbf72bbd702ec25216ddec897cbf66f1022a91e8cde4c
            disabled: true
            id: pair_e919d94273ed4ca99837548dd5ef6801
          - name: limit
            value: ""
            disabled: true
            id: pair_549eac1c5f4140a8b9cba86da0049498
          - name: cursor
            value: ""
            disabled: true
            id: pair_2ddc8066c52f40f29dec312aff0d652d
        headers:
          - name: Authorization
            value: "{{API_KEY}}"
          - name: carbone-version
            value: "5"
        settings:
          renderRequestBody: true
          encodeUrl: true
          followRedirects: global
          cookies:
            send: true
            store: true
          rebuildPath: true
      - url: "{{ _.BASE_URL }}/template/:TemplateId-or-VersionId"
        name: Patch Template
        meta:
          id: req_96a5fcdd140b4e029897484136b15fdc
          created: 1723566004403
          modified: 1759786599378
          isPrivate: false
          description: ""
          sortKey: -1744805036840
        method: PATCH
        body:
          mimeType: application/json
          text: |-
            {
            	"name": "Template Name",
            	"comment": "Template Comment",
            	"category": "",
            	tags: [],
            	expireAt: 0,
            	deployedAt: 0
            }
        headers:
          - name: Content-Type
            value: application/json
          - name: User-Agent
            value: insomnia/9.3.3
          - name: Authorization
            value: "{{ _.API_KEY }}"
          - name: carbone-template-name
            value: v9
          - name: carbone-template-tags
            value: ""
          - name: carbone-template-constant-id
            value: c-1020ace93de3ba7e2a43126671d1a43308f841177f805ef7c9afb897cbd72861
          - name: carbone-template-is-live
            value: "true"
          - name: carbone-template-delete-after
            value: "-10"
        settings:
          renderRequestBody: true
          encodeUrl: true
          followRedirects: global
          cookies:
            send: true
            store: true
          rebuildPath: true
        pathParameters:
          - name: TemplateId-or-VersionId
            value: ""
      - url: "{{BASE_URL}}/templates/categories"
        name: List Categories
        meta:
          id: req_17476b6b2cf946799bab3629dbf87f57
          created: 1759785916818
          modified: 1759786269630
          isPrivate: false
          description: ""
          sortKey: -1744805036740
        method: GET
        headers:
          - name: Authorization
            value: "{{API_KEY}}"
          - name: carbone-version
            value: "5"
        settings:
          renderRequestBody: true
          encodeUrl: true
          followRedirects: global
          cookies:
            send: true
            store: true
          rebuildPath: true
      - url: "{{BASE_URL}}/templates/tags"
        name: List Tags
        meta:
          id: req_bc98d2db654c4a58b496aeea202bf479
          created: 1759785941573
          modified: 1759786260784
          isPrivate: false
          description: ""
          sortKey: -1744588082044.5
        method: GET
        parameters:
          - name: ""
            value: ""
            disabled: false
            id: pair_8aae950b4f424587a0b0ab1fc2108e8a
        headers:
          - name: Authorization
            value: "{{API_KEY}}"
          - name: carbone-version
            value: "5"
        settings:
          renderRequestBody: true
          encodeUrl: true
          followRedirects: global
          cookies:
            send: true
            store: true
          rebuildPath: true
  - name: Document Generation
    meta:
      id: fld_b990be2c80384516bbfef33d0e92cfdd
      created: 1744805100106
      modified: 1758792734233
      sortKey: -1744805100106
      description: ""
    children:
      - url: "{{ BASE_URL  }}/render/:TEMPLATE_ID?download=true"
        name: Generate Document
        meta:
          id: req_b12ae05295ea4eb39144909b7959bd34
          created: 1660898768212
          modified: 1759786558101
          isPrivate: false
          description: ""
          sortKey: -1744805102556
        method: POST
        body:
          mimeType: application/json
          text: |-
            {
            	"test": true,
            	"convertTo": "pdf",
            	"data": {}
            }
        parameters:
          - name: ""
            value: ""
            disabled: false
            id: pair_57036c9fd93643d985962bf4ba7b3266
        headers:
          - name: Content-Type
            value: application/json
          - name: carbone-version
            value: "{{ _.VERSION }}"
          - name: carbone-webhook-url
            value: WEBHOOK URL
          - name: Authorization
            value: "{{ _.API_KEY }}"
        settings:
          renderRequestBody: true
          encodeUrl: true
          followRedirects: global
          cookies:
            send: true
            store: true
          rebuildPath: true
        pathParameters:
          - name: TEMPLATE_ID
            value: ""
      - url: "{{ BASE_URL  }}/render/:RENDER_ID"
        name: Download Document
        meta:
          id: req_bc09caf31b8a4a329e92a55c06f80d68
          created: 1660898768214
          modified: 1759786568959
          isPrivate: false
          description: ""
          sortKey: -1744805102456
        method: GET
        headers:
          - name: carbone-version
            value: "{{ _.VERSION }}"
          - name: Authorization
            value: "{{ _.API_KEY }}"
        settings:
          renderRequestBody: true
          encodeUrl: true
          followRedirects: global
          cookies:
            send: true
            store: true
          rebuildPath: true
        pathParameters:
          - name: RENDER_ID
            value: ""
cookieJar:
  name: Default Jar
  meta:
    id: jar_85c70e954d4043b286a5537435ae415e
    created: 1660898768210
    modified: 1685031774497
environments:
  name: Base Environment
  meta:
    id: env_353882a9d9ba4d588b019d21c35ececf
    created: 1660898768201
    modified: 1759785837686
    isPrivate: false
  data:
    BASE_URL: https://api.carbone.io
    API_KEY: ""
    VERSION: "5"
